#!/bin/sh
# Code copyright (c) 2006 Axentra Corporation.  All rights reserved.

#Usage: check_mount.sh device_name to_umount
#	device_name is such like /dev/sda1
#	if to_umount is "Y" or "y", the device will be umounted if mounted.

AXENTRA_TAG=AX_USB_HD_QUERY_RESULT

#set -x
#set -v

PATH=$PATH:/sbin:/usr/sbin:/bin:/usr/bin

if test $# -lt 1; 
then
	echo "${AXENTRA_TAG}: state=INVALID_ARGUMENTS"
	echo "${AXENTRA_TAG}: action=quit"
	exit;
fi

mount /proc || true
str=`mount | grep "$1"`
if ! test -z "$str";
then
	echo "${AXENTRA_TAG}: state=MOUNTED"
else
	echo "${AXENTRA_TAG}: state=NOT_MOUNTED"
	echo "${AXENTRA_TAG}: action=quit"
	exit
fi 

if test x"$2" = x'Y' -o x"$2" = x'y' ;
then
	if umount "$1" ; 
	then
		echo "${AXENTRA_TAG}: state=UMOUNTED"
		echo "${AXENTRA_TAG}: action=quit"
		exit
	else
		echo "${AXENTRA_TAG}: state=UMOUNT_FAILED"
		echo "${AXENTRA_TAG}: action=quit"
		exit
	fi
else
	echo "${AXENTRA_TAG}: action=quit"
	exit
fi
