#!/bin/sh
# Code copyright (c) 2006 Axentra Corporation.  All rights reserved.

. /root/functions.sh

AXENTRA_TAG=AX_USB_HD_QUERY_RESULT
USB_STORAGE_DIR=/proc/scsi/usb-storage/

get_platform
set_platform_param $PLATFORM
DEVICE=$PARTITION_DEV

#set -x
#set -v

PATH=$PATH:/sbin:/usr/sbin:/bin:/usr/bin

#in case the program just scp copied does not have execution permission.
chmod +x $PARTED_DIR/parted

if [ $PLATFORM = NSLU2 ]; then
USB_NUMBERS=`ls $USB_STORAGE_DIR | wc -l`
echo "${AXENTRA_TAG}: disk_number=${USB_NUMBERS}"

if [ $USB_NUMBERS -le 0 ]; 
then
	echo "${AXENTRA_TAG}: action=quit"
	exit
fi

for i in $USB_STORAGE_DIR/*
do
	echo "${AXENTRA_TAG}: action=message"
	cat $i
	echo
done

if [ $USB_NUMBERS -ne 1 ]; 
then
	echo "${AXENTRA_TAG}: action=quit"
	exit
fi

else        # Non-nslu2
    DISKS=`cat /proc/partitions | awk '{if (/sd[abcd]$/) printf $4 " "}'`
    DISK_NUMBER=`echo $DISKS | wc -w | awk '{print $1}'`
    #CD Installer only accepts one drive situation.
    if [ $DISK_NUMBER -gt 1 ]; then
        DISK_NUMBER=1
    fi
    echo "${AXENTRA_TAG}: disk_number=${DISK_NUMBER}"
fi

($PARTED_DIR/parted -s $DEVICE 2>&1 | grep 'Error') && (echo "${AXENTRA_TAG}: error=internal
${AXENTRA_TAG}: action=quit"; exit)

HAVING_PARTITIONS=`cat /proc/partitions | awk '{if (/sd[abcd][0-9]$/) printf $4 " "}'` 

if [ -n "$HAVING_PARTITIONS" ];
then
	echo "${AXENTRA_TAG}: state=HAVING_PARTITIONS"
	echo "${AXENTRA_TAG}: action=message"
	echo $HAVING_PARTITIONS
	echo "${AXENTRA_TAG}: action=quit"
else
	echo "${AXENTRA_TAG}: state=HAVING_NO_PARTITION"
fi

if ($PARTED_DIR/parted -s $DEVICE p 2>&1 | grep -q '^Warning: .*(Read-only file system)') then
    echo "${AXENTRA_TAG}: action=message"
    echo "Warning: USB drive is in readonly mode."
fi
